package cn.iocoder.yudao.module.order.convert.orderLabel;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderLabel.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderLabel.OrderLabelDO;

/**
 * 订单箱号标签 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderLabelConvert {
    /*****转换MapStruct*****/
    OrderLabelConvert INSTANCE = Mappers.getMapper(OrderLabelConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderLabelDO convert(OrderLabelCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderLabelDO convert(OrderLabelUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderLabelBackVO convert(OrderLabelDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderLabelBackVO> convertList(List<OrderLabelDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderLabelBackVO> convertPage(PageResult<OrderLabelDO> page);
}
